Page MenuHomePhabricator

move WikiApiary to Labs
Closed, ResolvedPublic

Description

@MarkAHershberger has taken over maintainership of https://wikiapiary.com from the former maintainer

He said on T38570#2767270:

"The current long-term plan is to move WikiApiary to labs and to share
bot infrastructure. At least, that is my plan. I've talked to @Dzahn
about this some, but we don't have any really solid action items yet."

(The first would be "Move WikiApiary"...)

Here i'm creating a ticket to do that.


  • create task to move WikIApiary to Labs
  • request phabricator project tag for WikiApiary
  • request git repo/gerrit project for WikiApiary
  • initial commit of existing code to new repo
  • create minimal puppet role class to setup webserver etc and clone code from repo above
  • request Labs project WikiApiary
  • create instance inside project, add admins, test ssh'ing to it
  • configure instance and apply puppet role class
  • run puppet on instance
  • get wikiapiary.wmflabs.org URL by creating proxy in Wikitech web UI, assign to instance
  • test
  • request wikiapiary.com domain to be added to labs domains / (transfer domain ?)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2016, 4:16 AM
Dzahn updated the task description. (Show Details)Nov 3 2016, 4:19 AM

You are the best. Thanks, @Dzahn!

Paladox added a subscriber: Paladox.Nov 3 2016, 8:14 AM
Kghbln added a subscriber: Kghbln.Nov 3 2016, 8:22 AM
Kghbln added a comment.Nov 3 2016, 8:24 AM

request wikiapiary.com domain to be added to labs domains / (transfer domain ?)

I also think that the domain <wikiapiary.com> should be kept as primary instead of <wikiapiary.wmflabs.org>. I dunno if this will be possible with labs though I do not think that this may be a big issue.

Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.
Dzahn added a comment.Nov 4 2016, 3:33 AM

I also think that the domain <wikiapiary.com> should be kept as primary

Yes, the idea would be to first use wikiapiary.wmflabs.org for setting it up and testing before the switch is made. Then, once it is working, to request adding wikiapiary.com as a labs domain and then make the switch from former hosting.

Dzahn added a comment.EditedNov 4 2016, 3:38 AM

@MarkAHershberger feel like doing the phabricator "project request" to start with, so we have something to tag tickets with (other than "projects-other") ?

https://www.mediawiki.org/wiki/Phabricator/Help#When_do_you_need_a_project.3F

https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects

Andrew added a subscriber: Andrew.Nov 7 2016, 3:52 PM

This is probably fine, but can you please provide a summary of what this project is, what it will do, and why it needs a project and can't be a tools webservice?

thanks!

Dzahn added a comment.Nov 7 2016, 7:56 PM

what it is and will do:

"WikiApiary collects, displays and analyzes information about MediaWiki websites. Once a website is registered with WikiApiary a suite of bots will start collecting information about the versions of software being used, the amount of editing activity on the site as well as the use of Semantic MediaWiki.
WikiApiary intends to help those running MediaWiki sites have a better insight into their sites."

it is the existing site at https://wikiapiary.com that we want to transfer.

We want to use a puppetized role class, clone from multiple repos (with puppet), and domainproxy, later with a custom domain name. We will need root access to one staging and one "production" instance.

That is why per:

https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/FAQ#My_tool_needs_a_more_specialized_infrastructure_than_Tool_Labs_provides._What_should_I_do.3F and "Only request a labs project if you need root on the VM" we are requesting to be outside of ToolLabs.

Andrew closed this task as Resolved.Nov 9 2016, 4:41 PM
Andrew claimed this task.

Done. @MarkAHershberger, you're project admin and can add other users or admins as you like.

Dzahn reopened this task as Open.Nov 9 2016, 7:21 PM

Thank you! but this was actually subtask T150065 for the creation of the labs project

jayvdb added a subscriber: jayvdb.Nov 15 2016, 11:55 AM
Tgr awarded a token.Dec 23 2016, 3:04 AM

It seems WikiApiary will become a Labs project (T149874), making improvements to it easier. Currently it is a prime example of a wiki made very user-unfriendly by (mis?)application of Semantic X extensions. How that situation might be improved could be an interesting topic.

There is no relation between moving WikiApiary and destroying its SemanticMediaWiki data. If you want a non-semantic counterpart, you should probably make a different site.

By the way, if moving WikiApiary to WMFlabs means that it will be hostage of people that wish to destroy it, I'm glad to contribute financially to using another host.

Tgr added a comment.Dec 23 2016, 10:48 AM

The data is fine. The user interface could use some destruction.

By the way, if moving WikiApiary to WMFlabs means that it will be hostage of people that wish to destroy it

Please don't make random claims like that when people want to, or try to contribute to the discourse of a discussion, Perhaps instead you could try make a constructive claim refuting the comments on why you think they are wrong instead?

revi added a subscriber: revi.Mar 19 2017, 7:17 PM
Kghbln awarded a token.May 3 2017, 8:06 AM

I'm not sure it's related to the move (but seems likely):

I'm getting a strange error with this page where revisions seem to be missing — and note that the history of that page lists both those revisions, but neither of them can actually be viewed.

DeepBlue closed this task as Resolved.Jun 7 2018, 4:51 PM
DeepBlue added a subscriber: DeepBlue.

The move to WMF cloud has been comlpeted

Samwilson reopened this task as Open.Jun 8 2018, 3:26 AM

@DeepBlue: what about the error I reported above? Seems like some of the database got forgotten in the move.

Kghbln added a comment.Jun 8 2018, 7:43 AM

Indeed. All revisions since the pre-test started seem to be gone. Moreover I am not able to edit. It may be an idea to upgrade to the latest release of Foreground. Also getting short urls back will be cool too. Anyways thanks a lot for your effort. We are getting there. :)

@Samwilson Please make separate tickets for these issues instead of posting them just here

@Kghbln I am unable to replicate your problems editing pages, except on the ones Samwilson mentioned which do not exist.(we are looking into this) I am looking at short URLs and Foreground as well

DeepBlue added a comment.EditedJun 8 2018, 5:19 PM

Karsen, I'm running into issues with Foreground's CSS that I do not know how to resolve. For the meantime I've set up a separate codebase at https://www.wikiapiary.com/w2/index.php?title=Main_Page so that the update can be investigated without disrupting normal users. If you could take a look at it I would be very appreciative. Notably, the update seems to be breaking header tabs and is causing some infoboxes to break as well

Short URLs are now re-implemented

Kghbln added a comment.Jun 8 2018, 9:17 PM

Short URLs are now re-implemented

Cool! Thank you!

Kghbln added a comment.Jun 8 2018, 9:21 PM

Karsten, I'm running into issues with Foreground's CSS that I do not know how to resolve.

What kind of issues are they. Do you mean that editing via the interface is no longer possible, i.e. you have add the action link manually to edit and update as I have to do.

For the meantime I've set up a separate codebase at https://www.wikiapiary.com/w2/index.php?title=Main_Page so that the update can be investigated without disrupting normal users. If you could take a look at it I would be very appreciative. Notably, the update seems to be breaking header tabs and is causing some infoboxes to break as well

Yeah, the templates have to be redone, but this should not be a big issue. Also the skin adaptions will be fairly easy now. I will regrettable not be able to work on this until a fortnight. If I have not done so, please poke!

What kind of issues are they. Do you mean that editing via the interface is no longer possible, i.e. you have add the action link manually to edit and update as I have to do.

Gonna be totally honest, I barely know anything about CSS but various elements are the wrong color on the new codebase, as noted in T196667 the graphs on most wiki pages are broken with a seemingly CSS related error (both codebases) and a few other minor things.

Yeah, the templates have to be redone, but this should not be a big issue. Also the skin adaptions will be fairly easy now. I will regrettable not be able to work on this until a fortnight. If I have not done so, please poke!

Ok thanks for the help no matter how delayed. For now the older version of the skin is still functional so this should be ok to wait till then.

@Samwilson Please make separate tickets for these issues instead of posting them just here

Done: T196864: Revisions have disappeared since migration to WMF hosting

(This ticket should still stay open though, I think, because the move is not complete.)

@Kghbln Just poking you (a bit late) but you mentioned that you would be able to work on templates on the w2 site?

@Kghbln When you do get around to working on the Foreground skin, I would appreciate it if you could do your work here[1] so that it will be ready for 1.31 when we update.

[1]https://www.wikiapiary.com/w3/index.php?title=Main_Page

Couldn't we move to the new version (which is a new named)

We could, but doing so breaks the skin in various ways, at least last time I checked.

Ahhh I see. I'm basically doing maintenance and trying to keep stuff from exploding so I'm not really one to make that decision but @MarkAHershberger would be more informed on why/why not to do this.

Actually nvm, foreground looks alot better.

@DeepBlue your "Ocean behind ears" on wm cloud?

You have root according to https://tools.wmflabs.org/openstack-browser/project/wikiapiary :)

DeepBlue closed this task as Resolved.Aug 13 2018, 5:28 PM

Missing pages have been resolved, we are going to focus on getting foreground working for 1.31 instead of the current 1.29 for long term support as we upgrade but the move has been completed.